<template>
  <div>
    <div id="header">
      <div class="body">
        <Legend text="Gurvan LORANS-CANO"></Legend>
        <div class="content">
          Bonjour, je suis Gurvan.
          Je suis Développeur.
        </div>
        <div class="scrollDown" @click="scroll">
          <v-icon large>mdi-chevron-down</v-icon>
          Scroll down
        </div>
      </div>
      <kinesis-container class="illustration" event="scroll">
        <kinesis-element class="circle circle-blue" :strength="50"></kinesis-element>
        <kinesis-element class="circle circle-yellow" :strength="$vuetify.breakpoint.mdAndUp ? -800 : -200"></kinesis-element>
        <kinesis-element class="circle circle-green" :strength="$vuetify.breakpoint.mdAndUp ? -1600 : -400"></kinesis-element>
      </kinesis-container>
    </div>
    <div id="header-footer">
      <!-- Anchor to scroll down -->
    </div>
  </div>
</template>

<script>
import Legend from "@/section/Legend";
export default {
  components: {Legend},
  methods: {
    scroll() {
      document.getElementById('header-footer').scrollIntoView({behavior: "smooth"});
    }
  }
}
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');
$primary-color: #5B71EB;

* {
  font-family: 'Poppins', sans-serif;
}

#header {
  z-index: 0;
  display: flex;
  align-items: center;
  justify-content: left;
  width: 100vw;
  min-height: 100vh;
  padding: 0 calc(100vw / 12);
}

.body {
  z-index: 1000;
  max-width: 33.33%;
  display: flex;
  flex-direction: column;
}

.scrollDown {
  cursor: pointer;
}

.body > .content {
  font-size: 56px;
  line-height: 1.28571;
  letter-spacing: -.4px;
  font-weight: 600;
}


.illustration {
  margin-top: 5px;
  flex: 2 1 300px;
  height: 100vh;
}

.circle {
  border-radius: 100%;
  box-sizing: content-box;
  position: absolute;
}

.circle.circle-yellow {
  position: absolute;
  padding: 15vh;
  left: calc(40% - 15vh);
  top: 0;
  z-index: 10;
  background-color: bisque;
}

.circle.circle-blue {
  position: absolute;
  padding: 30vh;
  left: calc(50% - 30vh);
  top: 10vh;
  z-index: 1;
  background-color: #5B71EB;
}


.circle.circle-green {
  position: absolute;
  padding: 20vh;
  left: calc(65% - 20vh);
  top: 35vh;
  z-index: 1;
  background-color: #48D48E;
}

@media (max-width: 960px) {
  #header {
    flex-direction: column;
  }

  .body {
    width: 100%;
    max-width: 100%;
  }

  .illustration {
    width: 100%;
  }

  .body > .content {
    font-size: 36px;
    line-height: 1.28571;
    letter-spacing: -.4px;
  }
}

@media (orientation: portrait) {

  #header {
    justify-content: space-between;
  }

  .illustration {
    height: 50vw;
    flex: 1 1;
  }

  .circle.circle-green {
    padding: 20vw;
    left: calc(65% - 20vw);
    top: 35vw;
  }

  .circle.circle-yellow {
    position: absolute;
    padding: 15vw;
    left: calc(40% - 15vw);
    top: 0;
    z-index: 10;
    background-color: bisque;
  }

  .circle.circle-blue {
    position: absolute;
    padding: 25vw;
    left: calc(50% - 25vw);
    top: 10vw;
    z-index: 1;
    background-color: #5B71EB;
  }

}

</style>
